ProcessPool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.ProcessPool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface ProcessPool

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  JavaProcessPool

    public interface ProcessPool

extends LogicalElement

Represents a collection of processes that serve identical functions.

Naming Rules:
  0="parent,name"
Persistable:
  true
Table Name:
  PROCPOOL
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCmdLine()`
`java.lang.String` | `getCWD()`
`int` | `getDecrement()`
`java.lang.String` | `getEnv()`
`DataFile` | `getExecutable()`
`int` | `getIncrement()`
`int` | `getInitialSize()`
`int` | `getMaxSize()`
`int` | `getMinSize()`
`java.lang.String` | `getName()`
`AppServer` | `getParent()`
`RuntimeProcess[]` | `getRuntimeProcesses()`
`int` | `getSize()`
`java.lang.String` | `getWindowsServiceList()`
`boolean` | `hasCmdLine()`
`boolean` | `hasCWD()`
`boolean` | `hasDecrement()`
`boolean` | `hasEnv()`
`boolean` | `hasExecutable()`
`boolean` | `hasIncrement()`
`boolean` | `hasInitialSize()`
`boolean` | `hasMaxSize()`
`boolean` | `hasMinSize()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasRuntimeProcesses()`
`boolean` | `hasSize()`
`boolean` | `hasWindowsServiceList()`
`void` | `setCmdLine(java.lang.String cmdLine)`
`void` | `setCWD(java.lang.String cwd)`
`void` | `setDecrement(int decrement)`
`void` | `setEnv(java.lang.String env)`
`void` | `setExecutable(DataFile file)`
`void` | `setIncrement(int increment)`
`void` | `setInitialSize(int initialSize)`
`void` | `setMaxSize(int maxSize)`
`void` | `setMinSize(int minSize)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(AppServer parent)`
`void` | `setRuntimeProcesses(RuntimeProcess[] processes)`
`void` | `setSize(int size)`
`void` | `setWindowsServiceList(java.lang.String windowsServiceList)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    AppServer getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setParent

    void setParent(AppServer parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getExecutable

    DataFile getExecutable()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setExecutable

    void setExecutable(DataFile file)

### hasExecutable

    boolean hasExecutable()

### getCmdLine

    java.lang.String getCmdLine()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCmdLine

    void setCmdLine(java.lang.String cmdLine)

### hasCmdLine

    boolean hasCmdLine()

### getCWD

    java.lang.String getCWD()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCWD

    void setCWD(java.lang.String cwd)

### hasCWD

    boolean hasCWD()

### getEnv

    java.lang.String getEnv()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnv

    void setEnv(java.lang.String env)

### hasEnv

    boolean hasEnv()

### getWindowsServiceList

    java.lang.String getWindowsServiceList()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWindowsServiceList

    void setWindowsServiceList(java.lang.String windowsServiceList)

### hasWindowsServiceList

    boolean hasWindowsServiceList()

### getInitialSize

    int getInitialSize()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInitialSize

    void setInitialSize(int initialSize)

### hasInitialSize

    boolean hasInitialSize()

### getMaxSize

    int getMaxSize()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxSize

    void setMaxSize(int maxSize)

### hasMaxSize

    boolean hasMaxSize()

### getMinSize

    int getMinSize()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinSize

    void setMinSize(int minSize)

### hasMinSize

    boolean hasMinSize()

### getIncrement

    int getIncrement()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIncrement

    void setIncrement(int increment)

### hasIncrement

    boolean hasIncrement()

### getDecrement

    int getDecrement()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDecrement

    void setDecrement(int decrement)

### hasDecrement

    boolean hasDecrement()

### getSize

    int getSize()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSize

    void setSize(int size)

### hasSize

    boolean hasSize()

### getRuntimeProcesses

    RuntimeProcess[] getRuntimeProcesses()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setRuntimeProcesses

    void setRuntimeProcesses(RuntimeProcess[] processes)

### hasRuntimeProcesses

    boolean hasRuntimeProcesses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD